Package org.apache.sysds.runtime.io

## Class FrameReaderTextCSVParallel

- java.lang.Object
- - org.apache.sysds.runtime.io.FrameReader
  - - org.apache.sysds.runtime.io.FrameReaderTextCSV
    - - org.apache.sysds.runtime.io.FrameReaderTextCSVParallel

    public class FrameReaderTextCSVParallel
    extends FrameReaderTextCSV

Multi-threaded frame text csv reader.

### Constructor Summary

Constructors
`FrameReaderTextCSVParallel​(FileFormatPropertiesCSV props)`

### Method Summary

### Methods inherited from class org.apache.sysds.runtime.io.FrameReaderTextCSV

`readFrameFromHDFS, readFrameFromInputStream`

### Methods inherited from class org.apache.sysds.runtime.io.FrameReader

`getDefColNames, getDefSchema, readFrameFromHDFS, readFrameFromHDFS, readFrameFromInputStream, readFrameFromInputStream`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FrameReaderTextCSVParallel

    public FrameReaderTextCSVParallel​(FileFormatPropertiesCSV props)